Subject: Re: [v6ops] new draft: draft-li-v6ops-load-balancing-requirement-00.txt

From: Ray Hunter <[email-masked]>
Date: Tue, 05 Jul 2011 15:38:00 +0200

Thanks for sharing your draft with us.

I think you may be missing a whole class of bottleneck that is not 
receiving too much attention at the moment.

Many enterprises transport the majority of their traffic over the 
boundary between their 'private' internal networks and the Internet via 
use of a "web proxy."

Application Level Gateways (ALG) = RFC2766 Section 2.4 are also 
considered a valid translation mechanism between IPv4 and IPv6 islands, 
and can be especially useful for simple outbound HTTP based web traffic. 
They may also be useful for translating certain inbound requests.

Traditionally the WCCP Web Cache Proxy Protocol (non IETF protocol, but 
described in http://tools.ietf.org/html/draft-wilson-wrec-wccp-v2-01) 
has been used to balance requests between multiple proxies, or for 
example between an IPv4 router and a farm of multiple WAN acceleration 
devices.

AFAIK WCCPv2 does not (yet) support IPv6, which IMHO is quite an 
omission in the options given to enterprises to migrate to IPv6 in a 
smooth manner.

regards, and good luck with your deployment,

RayH

---

From: [email-masked]
Date: Wed, 6 Jul 2011 10:38:39 +0800

Thanks alot Ray for your comments and interests.

The submitted draft is mainly focused on the load balancing requirement of the network(ISP) side concentrators, i.e., the ARTF of dslite, the BR of 6rd, the NAT64 and IVI translators. Since web proxy is used at the enterprise side, it is IMO similar to B4 of dslite, and CE of 6rd.

ALG problem should be considered by the translation technology, such as NAT64. When designing the loadbalancing solution for NAT64, we will take this point into account.

Best Regards,
Zhenqiang Li
2011-07-06 

--------------------------------------------------------------------------------

From: Ray Hunter 
Sent: 2011-07-05  21:38:12 
To: [email-masked] WG; [email-masked] 
Subject: re: [v6ops] new draft: draft-li-v6ops-load-balancing-requirement-00.txt 

RayH

---

From: [email-masked]
Date: Wed, 6 Jul 2011 16:14:55 +0800

Hi Randy and all,

Thank you for your question.
I do not think the life in a big city with terrible traffic jam is good, although this is the fact in lots of big cities. Don't you think it is better to distribute the traffic among the available roads to mitigate or avoid the traffic jam if we can?

If you would like to use one huge device to satisfy the requirement of the increasing traffic during the transition phase from IPv4 to IPv6,  you do not need to consider load balance. If you use multiple devices to provide the identical function and to achieve the resiliency, it is better to balance traffic among these devices.

The submitted document mainly focuses on the traffic concentration point introduced by certain transition technologies such as AFTR in DS-Lite. Loadbalancing mechanism should be considered to distribute load among multiple devices reasonablely at certain scenarios. This document lists the key factors that should be considered when designing the load balancing mechanism. Of course, we should learn the loadbalancing mechanism used in and the experience learned from IPv4 network. Specific suggestion is welcome.

Best Regards,
Zhenqiang Li
2011-07-06 

-----Original Message-----

From: Randy Bush <randy at psg.com> 
To: Fred Baker <fred at cisco.com> 
Cc: IPv6 Ops WG <v6ops at ietf.org> 
Date: Tue, 05 Jul 2011 14:32:42 +0900 
In-reply-to: <201107041355.p64Dt0320469 at ftpeng-update.cisco.com> 
References: <201107041355.p64Dt0320469 at ftpeng-update.cisco.com> 

> A new draft has been posted, at
> http://tools.ietf.org/html/draft-li-v6ops-load-balancing-requirement. Please
> take a look at it and comment.

fred, i am confused.  almost all the technologies [0] mentioned indeed
'force' a path.  and indeed in some cases, these paths could concentrate
packets which might otherwise be more diversely forwarded.  but that's
life in the big city.

so that leaves me only seeing that the document is about when services
have multiple and diverse servers.  so how is this different than ipv4
where, for example, we use load balancers when near servers which need
scale and use anycast when we want diversity and resiliency?

what should i have learned from this document?  clue bat, please.

randy

--

[0] - note that most of these are non-transition technologies